Bug Hunting Session
Bug 84431 - [CALC] [CHART] Lack of default picture format during chart export
Summary: [CALC] [CHART] Lack of default picture format during chart export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Chart-Enhancements
  Show dependency treegraph
 
Reported: 2014-09-28 19:01 UTC by Mateusz
Modified: 2019-02-01 07:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
iozone-ext3-2kb-anywhere-charts.ods (105.40 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-19 09:55 UTC, Mateusz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz 2014-09-28 19:01:12 UTC
Hey

I have many charts in Calc which I must export to any graphic format. The problem is, when I do it, file format is not precised by default. I must do it on my own. I must type "file name + .png", oherwise pictere won't be saved. It would be greate if this stuff could be done autmatic. Personally I think PNG is the best file format, but it could be even JPEG or anything else.
Comment 1 raal 2014-10-18 05:10:40 UTC
Valid enhancement - make settings for default export format or remember last used format.
Comment 2 Mateusz 2014-10-18 06:59:00 UTC
Interestingly enough, LibreOffice on Windows proposes export chart to SGV - StarDraw 2.0 by default. LO on Linux proposes nothing and we must choose file format intentionally. 

Btw. Why StarDraw 2 and not ODF Grapgic? I thought that developers threw out all old file format (export filters).
Comment 3 Mateusz 2014-10-19 09:55:16 UTC
Created attachment 108054 [details]
iozone-ext3-2kb-anywhere-charts.ods

Hey

I can't export chart to StarDraw 2.0 file format. It's probably dead function and it should be removed from office to date. Could someone verify this bug, please?
Comment 4 raal 2014-10-19 11:03:18 UTC
(In reply to Mateusz from comment #3)
> Created attachment 108054 [details]
> iozone-ext3-2kb-anywhere-charts.ods
> 
> Hey
> 
> I can't export chart to StarDraw 2.0 file format. It's probably dead
> function and it should be removed from office to date. Could someone verify
> this bug, please?

Hello Mateusz,
me to (LO 4.4dev, Linux). Please open another bug for this problem. Thank you.
Comment 5 Mateusz 2014-10-19 11:20:22 UTC
Done. 

https://bugs.freedesktop.org/show_bug.cgi?id=85195
Comment 6 Commit Notification 2019-02-01 07:43:42 UTC
Martin van Zijl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/77d6560bc97f2475f67ff5a048efda8cc1d38771%5E%21

tdf#84431 set default format for chart image export

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.